package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag192;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT192Creator;

public class Tag79Creator extends AbsTagCreate {
    private MT192Creator mt192Creator;

    public Tag79Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt192Creator= (MT192Creator) absMTCreator;
    }

    public void creator()
    {
        String tag79Value = mt192Creator.getNarrativeDescriptionoftheOriginalMessage();
        mt192Creator.set("79", tag79Value);
    }
}
